module dlib.externdecl;

import dlib.aliases;

import stb_truetype;

@nogc extern(C):

/*
static if(NativeTarget):
// stb_truetype

i32
stbtt_FindGlyphIndex(const stbtt_fontinfo* info, i32 unicode_codepoint);

void
stbtt_GetGlyphHMetrics(const stbtt_fontinfo* info, i32 glyph_index, i32* advanceWidth, i32* leftSideBearing);

i32
stbtt_GetGlyphShape(const stbtt_fontinfo* info, i32 glyph_index, stbtt_vertex** pvertices);

void
stbtt_FreeShape(const stbtt_fontinfo* info, stbtt_vertex* v);

f32
stbtt_ScaleForPixelHeight(const stbtt_fontinfo* info, f32 height);

void
stbtt_GetFontVMetrics(const stbtt_fontinfo* info, i32* ascent, i32* descent, i32* lineGap);

i32
stbtt_InitFont(stbtt_fontinfo* info, const(u8*) data, i32 offset);

i32
stbtt_GetGlyphBox(const stbtt_fontinfo* info, i32 glyph_index, i32* x0, i32* y0, i32* x1, i32* y1);

i32
stbtt_GetFontOffsetForIndex(const(u8*) data, i32 index);

*/
